# Your game.
# L1: Add more rooms from the map of your house or your school. (You can
#     change the bedroom and hallway to different rooms too.)
# L2: Add more directions to the game, e.g. up and down, northeast and southwest.

from adventurelib import *

bedroom = Room("""
You are in a bedroom.
There is a door to the north.
""")

hallway = Room("""
You are in a hallway.
""")

bedroom.north = hallway

current_room = bedroom

@when("north", direction="north")
@when("south", direction="south")
@when("east", direction="east")
@when("west", direction="west")
def go(direction):
    global current_room
    room = current_room.exit(direction)
    if room:
        current_room = room
        say(f"You go {direction}")
        look()
    else:
        say(f"No exit {direction}")

@when('look')
def look():
    say(current_room)

look()
start()

